API / geotoolkit / map / sources / loaders / WFS / WFS
WFS source loader that loads settings from WFS (Web Feature Service) server
↳
WFS
Constructors
Methods
Methods
▸ clone(): AbstractLoader
All subclasses should override copyConstructor or provide custom implementation for this method
clone
▸ cloneQueryParameters(loader): WFS
Copies query parameters from another loader
| Name | Type | Description |
|---|---|---|
loader | AbstractLoader | loader to clone parameters |
this
AbstractLoader.cloneQueryParameters
▸ Protected copyConstructor(src, deepCopy?): WFS
Copy constructor function.
Function used as part of the cloning mechanism.
Implementations should copy the given instance state to this instance.
| Name | Type | Description |
|---|---|---|
src | AbstractLoader | Source to copy from |
Optional deepCopy | boolean | deep copy |
this
AbstractLoader.copyConstructor
▸ getClassName(): string
string
▸ getConnector(): AbstractConnector<any>
Returns connector
AbstractConnector<any>
▸ getCopyright(): string
Returns copyright information.
string
▸ Protected getRequestOptions(): SendOptions
Returns server settings request options
AbstractLoader.getRequestOptions
▸ getSettingsUrl(): string
Returns server settings request url
string
request server data request
▸ Protected loaded(callback): void
Resolves loading promise asynchronically
| Name | Type | Description |
|---|---|---|
callback | (loader: AbstractLoader) => void | resolving callback |
void
▸ parse(data, onload): void
Parses server data response
| Name | Type | Description |
|---|---|---|
data | string | XMLDocument | data received from the server |
onload | (loader: AbstractLoader) => void | function to be called when data is loaded |
void
▸ setQueryParameter(param, value): WFS
Sets the query parameter to add to the server settings request
| Name | Type | Description |
|---|---|---|
param | string | parameter name |
value | string | number | boolean | parameter value |
this
AbstractLoader.setQueryParameter
▸ Static getClassName(): string
string